.swal2-container.buttons-right .swal2-actions {

  margin-left: auto !important;
  margin-right: 20px !important;
}

div:where(.swal2-container) .swal2-html-container.swal2-auto-popup {
    text-align:left;
}

.select2-container--open {
    z-index: 99999999999999;    /* fix for select2 inside swal */
}

.select2-container-form-control {
    padding: 0.4375rem 0.875rem;
      font-size: 0.9375rem;
      font-weight: 400;
      line-height: 1.53;
      color: #697a8d;
      background-color: #fff;
      background-clip: padding-box;
      border: 1px solid #d9dee3 !important;
      -webkit-appearance: none;
      -moz-appearance: none;
      appearance: none;
      border-radius: 0.375rem !important;
      transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
      height: 40px !important;
}
.select2-container--default .select2-selection--single {
    /*border: 0px !important;*/
}
.select2-selection__rendered {
    padding-left: 0px !important;
    color: #697a8d !important;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    height: 100% !important;
}

.form-control.fieldError {
    border-color: red;
}

.form-control.select2-hidden-accessible.fieldError + .select2 > .selection .select2-selection {
    border-color: red !important;
}


.swal2-container.buttons-right .swal2-actions .swal2-deny {
    position: absolute;
    left: 25px;
}

.nav-align-top > .tab-content, .nav-align-right > .tab-content, .nav-align-bottom > .tab-content, .nav-align-left > .tab-content {
  background: none !important;
  box-shadow: none !important;
  }

.order-status {
  padding: 5px;
  background-color: #e8e8e8;
  border-radius: 5px;
  border: 1px solid #c6c6c6;
  font-size: 13px !important;
  font-weight:bold;
  padding-left:8px;
  padding-right:8px;
}
.order-status i {
  vertical-align: sub;
  font-size: calc(100% + 5px);
}
.order-status.payment {
}
.order-status.completed {
  background-color: #42cf56;
  color: white;
  border: 1px solid #07b813;
}
.order-status.cancelled {
  background-color: #ce5252;
  color: white;
  border: 1px solid #d27575;
}
.order-status.processing {
  background-color: #45b2e9;
  color: #fff8f8;
  border: 1px solid #109eb1;
}

.btn-row {
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 5px;
  padding-bototm: 5px;
  min-width: 130px;
}

.dates-filter-name-wrapper .dates-filter-btn {
  display:none;
}
.dates-filter-name-wrapper:hover .dates-filter-btn {
  display:inline-block;
  font-size:15px;
}
.dates-filter-name-wrapper:hover .dates-filter-btn:hover {
  opacity:0.5;
}
.dates-filter-btn {
    /*float:right;*/
    vertical-align: initial !important;
    cursor:pointer;
}
.dates-filter-text {
  font-size: 1.125rem;
  color:#696cff !important;
}
.dates-filter:not(.simple) {
    font-size:13px;
    padding-top: 10px;
    color: #a1acb8 !important;
}
.dates-filter i {
    font-size:10px;
}
.dates-filter:hover {
    cursor: pointer;
    color:black !important;
}
.dates-filter-additional {
  font-size: 13px;
  background-color: transparent;
  border: 0px;
  padding: 0px;
  margin-top: 10px;
  cursor: pointer;
  color:#a1acb8;
}
.dates-filter-additional:hover {
  color:black;
}
.select2-child-width-100 .select2{
    width:100% !important;
    margin-bottom: 10px;
}

.pricing-wholesale {
  border-bottom:1px dotted grey;
  position: relative;
  cursor: help;
}

.pricing-wholesale:hover:after {
    opacity: 1;
    transition: all 0.1s ease 0.5s;
    visibility: visible;
    display:block;
}
.pricing-wholesale:after {
    content: "Wholesale price";
    position: absolute;
    bottom: -1.6em;
    left: 100%;
    padding: 4px 4px 4px 8px;
    color: #222;
    white-space: nowrap;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    -moz-box-shadow: 0px 0px 4px #222;
    -webkit-box-shadow: 0px 0px 4px #222;
    box-shadow: 0px 0px 4px #222;
    background-image: -moz-linear-gradient(top, #f8f8f8, #cccccc);
    background-image: -webkit-gradient(linear,left top,left bottom,color-stop(0, #f8f8f8),color-stop(1, #cccccc));
    background-image: -webkit-linear-gradient(top, #f8f8f8, #cccccc);
    background-image: -moz-linear-gradient(top, #f8f8f8, #cccccc);
    background-image: -ms-linear-gradient(top, #f8f8f8, #cccccc);
    background-image: -o-linear-gradient(top, #f8f8f8, #cccccc);
    opacity: 0;
    z-index: 99999;
    visibility: hidden;
    display:none;
}


.pages-detail-module {
    margin-top:10px;
}
.pages-detail-module .pages-fills,
.pages-detail-module .pages-levels {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(0, 1fr));
  gap: 2px;
  max-width: 195px;
  list-style-type: none;
  padding: 0;
  margin: 0;
  margin-bottom: 5px;
}

.pages-detail-module .pages-fills li,
.pages-detail-module .pages-levels li {
  display: flex;
  justify-content: center;
  align-items: center;
  aspect-ratio: 1 / 1; /* Makes sure squares maintain a 1:1 ratio */


  border: 1px solid lightgrey;
  height: 15px;
  text-align: center;
  width:100%;
}
.pages-detail-module .pages-fills li span,
.pages-detail-module .pages-levels li span {
    font-size: 10px;
    line-height: 12px !important;
    display:block;
    color:white;
}


.card-datatable .dataTables_length label,
.card-datatable .dataTables_filter label,
.card-datatable .dataTables_info,
.card-datatable .dataTables_paginate {
  font-size: 0.85rem;
}

.card-datatable .dataTables_length select,
.card-datatable .dataTables_filter input {
  background-color: white;
  border: 1px solid #d9dee3;
  border-radius: 5px;
  color: #8794a3;
  padding: 5px;
  margin-left: 5px;
  margin-right: 5px;
  font-size: 0.85rem;
}

.card-datatable .dataTables_info,
.card-datatable .dataTables_paginate {
  padding-top: 20px !important;
}

.swal2-title {
  display: block;
  text-align: left;
  position: absolute;
  top: -70px;
  color: white;
  left: -30px !important;
  text-shadow: 1px 1px gray;
}

.swal2-popup {
  box-shadow: 0px 0px 15px gray;
  margin-top: 20px;
}

.companiesPopup .swal2-popup,
.usersRolesPopup .swal2-popup {
    max-width:500px;
}

.packagesPopup .swal2-popup {
    max-width: 900px;
}

.swal2-container {
    backdrop-filter: blur(5px);
}

.swal2-container .swal2-close {
  top: -40px;
  position: absolute;
  background-color: #aeaeae;
  height: 30px;
  line-height: 20px;
  width: 30px;
  font-size: 30px;
  margin-bottom: 0px;
  padding-bottom: 2px;
  color: white;

  /*top: -15px;
  right: -15px;*/
}

.swal2-container .swal2-close:hover {
  background-color:white;
  color:black;
}

.swal2-actions {
  /*
  display: flex;
  position: absolute;
  bottom: -60px;
  right: -5px;
  margin:0px !important;
  */
}

.menu-link .badge.badge-center {
  font-size: 9px;
  padding: 0.4em 0.4em !important;
  min-width: 18px;
}